Loading...
Searching...
No Matches
amiga.h File Reference

Go to the source code of this file.

## Data Structures

struct | AmigaIds
struct | PartitionBlock

## Macros

#define | PART(pos)
#define | PBFB_BOOTABLE 0 /* this partition is intended to be bootable */
#define | PBFB_NOMOUNT 1 /* do not mount this partition (e.g. manually */
#define | PBFF_BOOTABLE 1L /* (expected directories and files exist) */
#define | PBFF_NOMOUNT 2L /* mounted, but space reserved here) */

## Functions

struct AmigaIds * | _amiga_add_id (uint32_t id, struct AmigaIds *ids)
void | _amiga_free_ids (struct AmigaIds *ids)
int | _amiga_id_in_list (uint32_t id, struct AmigaIds *ids) _GL_ATTRIBUTE_PURE
struct PartitionBlock * | amiga_find_part (PedGeometry *geom, struct PartitionBlock *part)

## Macro Definition Documentation

## PART

#define PART | ( |  | pos | ) |

Value:
((struct PartitionBlock *)(pos))
PartitionBlock
Definition amiga.h:20

## PBFB_BOOTABLE

#define PBFB_BOOTABLE 0 /* this partition is intended to be bootable */

## PBFB_NOMOUNT

#define PBFB_NOMOUNT 1 /* do not mount this partition (e.g. manually */

## PBFF_BOOTABLE

#define PBFF_BOOTABLE 1L /* (expected directories and files exist) */

## PBFF_NOMOUNT

#define PBFF_NOMOUNT 2L /* mounted, but space reserved here) */

## Function Documentation

## _amiga_add_id()

struct AmigaIds * _amiga_add_id | ( | uint32_t | id,
|  | struct AmigaIds * | ids )

## _amiga_free_ids()

void _amiga_free_ids | ( | struct AmigaIds * | ids | ) |

## _amiga_id_in_list()

int _amiga_id_in_list | ( | uint32_t | id,
|  | struct AmigaIds * | ids )

## amiga_find_part()

struct PartitionBlock * amiga_find_part | ( | PedGeometry * | geom,
|  | struct PartitionBlock * | part )